## ros-kinetic-hector-object-tracker 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hector_object_tracker)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp tf image_geometry hector_worldmodel_msgs hector_nav_msgs hector_marker_drawing)

# Find Eigen3 (from http://wiki.ros.org/jade/Migration)
find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})  # Not strictly necessary as Eigen is head only
  # Possibly map additional variables to the EIGEN3_ prefix.
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    INCLUDE_DIRS #include
    LIBRARIES
    CATKIN_DEPENDS roscpp tf image_geometry hector_worldmodel_msgs hector_nav_msgs hector_marker_drawing
    DEPENDS EIGEN3
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_executable(object_tracker
  src/object_tracker.cpp
  src/object_tracker.h
  src/Object.cpp
  src/Object.h
  src/ObjectModel.cpp
  src/ObjectModel.h
  src/parameters.h
  src/parameters.cpp
)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(object_tracker hector_worldmodel_msgs_generate_messages_cpp hector_nav_msgs_generate_messages_cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(object_tracker
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS object_tracker
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch/
)

=== debian/changelog ===
ros-kinetic-hector-object-tracker (0.3.4-0xenial) xenial; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.3-0xenial) xenial; urgency=high

  * added barrels to launch file
  * changed max height to 0.2
  * Reduce max height
  * changed min height for target
  * -Update sick robot day 2014 params
  * -Rename launch file
  * -Change settings for SRD2014
  * launch file for turtlebot added
  * Contributors: Christian Rose, Dorothea Koert, Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 10 Nov 2015 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.2-0xenial) xenial; urgency=high

  * generalized min_distance_between_objects check for confirmed objects
  * removed object class dependent code from the implementation part
  * added cmake_modules dependency for the Eigen cmake config
  * do no longer model victims twice if they were already confirmed
  * set octomap_distance_warnings to ROS_DEBUG
  * fixed qrcode mapping
  * orientation of objects is now considered and filtered (optional)
  * fixed publishing of not populized objects
  * Contributors: Alexander Stumpf, Dorothea Koert, Johannes Meyer, Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 06 Sep 2014 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.1-0xenial) xenial; urgency=high

  * changed distance for negative update
  * renamed hector_object_tracker::param() method to hector_object_tracker::parameter()
    This will hopefully fix the build failures on Jenkins for lucid binaries.
    See http://jenkins.ros.org/job/ros-fuerte-hector-worldmodel_binarydeb_lucid_amd64/132/console
  * added missing target dependency to hector_nav_msgs_generate_messages_cpp
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.0-0xenial) xenial; urgency=high

  * catkinized stack hector_worldmodel

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 03 Sep 2013 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-hector-object-tracker
Section: misc
Priority: extra
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-hector-marker-drawing, ros-kinetic-hector-nav-msgs, ros-kinetic-hector-worldmodel-msgs, ros-kinetic-image-geometry, ros-kinetic-roscpp, ros-kinetic-tf
Homepage: http://ros.org/wiki/hector_object_tracker
Standards-Version: 3.9.2

Package: ros-kinetic-hector-object-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-hector-marker-drawing, ros-kinetic-hector-nav-msgs, ros-kinetic-hector-worldmodel-msgs, ros-kinetic-image-geometry, ros-kinetic-roscpp, ros-kinetic-tf
Description: hector_object_tracker is the core package of hector_worldmodel.
 It listens to percept message from detectors (e.g. heat signatures of persons or recognitions of other objects of interest in the scene) and fuses all information to a single worldmodel state. Objects will be tracked over time and their states can be influenced by a couple of services. The percept to object association problem is solved either automatically based on the Mahalanobis distance, or a unique object_id can be given in the percept message. If a hector_nav_msgs/GetDistanceToObstacle service is available, the object_tracker can optionally deduce the depth of objects in the scene by projection to the nearest obstacle (wall).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-hector-object-tracker//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
